%define _altdata_dir %_datadir/alterator

Name: alterator-net-wifi
Version: 0.6
Release: alt2.M41.5

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch: noarch

Source:%name-%version.tar

Summary: alterator module for wi-fi connections administration
License: GPL
Group: System/Configuration/Other
Requires: wpa_supplicant

Conflicts: alterator-fbi < 2.8-alt1
Conflicts: alterator-lookout < 1.2-alt1
Requires: alterator >= 3.1-alt6
Requires: alterator-sh-functions >= 0.6-alt2.M41.1
Requires: alterator-net-common > 0.1-alt3

BuildPreReq: alterator-l10n
BuildPreReq: alterator >= 3.3-alt5, alterator-fbi >= 0.7-alt1

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for wi-fi connections administration

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall
%find_lang %name

%files -f %name.lang
%_altdata_dir/ui/*/
%_altdata_dir/templates/*/
%_altdata_dir/applications/*
%_alterator_backend3dir/*

%changelog
* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt2.M41.5
- rebuild with alterator-l10n

* Thu Dec 04 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt2.M41.4
- add desktop-file (fix help)

* Fri Sep 19 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt2.M41.3
- fix English

* Wed Sep 10 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt2.M41.2
- fix Requires

* Tue Sep 09 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt2.M41.1
- build for 4.1

* Tue Sep 09 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt3
- rebuild with new alterator-l10n

* Tue Aug 12 2008 Stanislav Ievlev <inger@altlinux.org> 0.6-alt2
- rename button 'Quit' to button 'OK'

* Thu Jul 03 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.6-alt1
- use new alterator (remove po-domain settins from ui and backend)
- use auto-disable in qt ui

* Mon Jun 30 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt6
- add autoDisable in html

* Mon Jun 23 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt5
- add scan_ssid=1 option to all networks

* Fri May 30 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt4
- fix ifdriver execution

* Wed May 28 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt3
- remove debug messages from backend

* Wed May 28 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt2
- use alterator-l10n

* Thu May 22 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt1
- remove template- backend
- remove html-messages
- rewrite qt ui
- rewrite html ui
- modify backend

* Tue Dec 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- remove config autocleanup

* Wed Nov 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- use scripts from alterator-net-common
- up interface before scanning (need for some ugly wifi cards)

* Mon Sep 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt8
- fix typos in Russian translation

* Thu May 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt7
- Add Russian translation

* Thu May 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt6
- fix wpa supplicant driver selection for ipw2200
- add support both for ASCII and HEX  (as a hash) psk

* Mon May 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt5
- support both ASCII and HEX wep keys
- don't use qt-browser constraints engine

* Fri May 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt4
- fix work with latest supplicant 0.5.7 (hidden key values)
- enable constraints in GUI

* Thu May 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt3
- fix network parameters saving

* Mon May 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- fix width/height

* Mon May 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- add support for edit
- add GUI

* Fri May 04 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- rename to alterator-net-wifi (main stream now)

* Wed May 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial release

